Erstellt vor 6 Jahren

Geschlossen vor 5 Jahren

Zuletzt geändert vor 4 Jahren

#1396 closed task (fixed)

TODO für Release 1.2

Erstellt von: oliver Verantwortlicher: oliver
Priorität: normal Meilenstein: freetz-1.2
Komponente: other Version: devel
Stichworte: Beobachter:
Product Id: Firmware Version:

Beschreibung (zuletzt geändert von oliver)

Das Release von 1.2 steht an. Der Branch ist erzeugt. Bitte schreibt hier die TODOs für das Release rein. Falls eine Änderung aus dem Trunk in den stable-branch gemerged werden soll referenziert bitte dieses Ticket.

Artikel über Release Management (work in progress):
http://freetz.org/wiki/help/howtos/development/release_management

Änderungshistorie (135)

comment:1 Geändert vor 6 Jahren durch oliver

In [7232]:

  • Prepare for freetz-1.2 stable branch
    • set version to freetz-1.2-stable
    • set verbosity level to 0
    • disable developer version string
    • Update CHANGELOG
  • refs #1396

comment:2 Geändert vor 6 Jahren durch oliver

In [7233]:

Prepare branch freetz-1.2 for maintenance of the stable release

comment:3 Geändert vor 6 Jahren durch cuma

Wie wäre es den 1.2 Branch im Forum als gepackte Datei unter der Bezeichnung Preview/Beta/Labor zu veröffentlichen? Das könnten alle die nutzen die nur wegen neuer FirmwareVersion den Trunk nehmen. Evtl kommen so auch mehr Bugreports.
Schade dass du es doch nicht 2.0 genannt hast

comment:4 Geändert vor 6 Jahren durch ralf

Anmerkung zu r7234 (Bring trunk back into devel state): Wäre es nicht sinnvoller, den Branch zu erzeugen und dann im Branch die notwendigen Änderungen zu machen, statt die Änderungen vorwärts und rückwärts im Trunk zu machen? Sowieso wurde nachher noch in r7235 im Branch das Labor deaktiviert.

Man könnte auch eine Checkliste dafür erstellen (nicht notwendigerweise vollständig):

  • Trunk ändern:
    • Datei CHANGELOG: auf den neuesten Stand bringen, wenn noch nicht geschehen
    • Datei CHANGELOG: devel in neuen Namen ändern
  • Branch kopieren
  • Branch ändern:
    • Datei .version: Version eintragen
    • Datei Config.in: VERBOSITY_LEVEL, SUBVERSION_STRING, Labor
    • Datei FIRMWARES: Labor entfernen
  • Trunk ändern:
    • Datei CHANGELOG: neuen Rahmen für devel erstellen

comment:5 Antwort: Geändert vor 6 Jahren durch oliver

Ich habe es vom letzten Mal abgeschaut. Ich hatte auch darüber nachgedacht die Änderungen im Branch zu machen, aber dann die Vorgehensweise vom 1.1-stable-branch übernommen. Wahrscheinlich hatte ich das vom Taggen in Erinnerung und deshalb auch beim Branchen so gemacht. Wobei mir dein Vorschlag besser gefällt…
Eine Checkliste ist sinnvoll. Ich habe schon angefangen eine entsprechende Wikiseite zu schreiben.

comment:6 Geändert vor 6 Jahren durch cuma

Falls mehr als 1 Branch pro Jahr geplant ist, würde sich auch ein Skript anbieten

comment:7 als Antwort auf: ↑ 5 Geändert vor 6 Jahren durch dileks

Replying to oliver:

Eine Checkliste ist sinnvoll. Ich habe schon angefangen eine entsprechende Wikiseite zu schreiben.

URL?

comment:8 Geändert vor 6 Jahren durch oliver

  • Beschreibung geändert (Diff)

comment:9 Geändert vor 6 Jahren durch dileks

Danke für die URL. Nett, dass es auch ein freetz GIT Repository für trunk gibt.

comment:10 Geändert vor 6 Jahren durch oliver

In [7242]:

  • libfreetz: Update to version 0.5 (refs #61)
    • Fixes libfreetz for older firmwares: 2170, 3070, 3130, 3131, 3170, 7140
    • Should be merged to stable-branch if confirmed (refs #1396)
    • by RalfFriedl

comment:11 Geändert vor 6 Jahren durch oliver

merge to stable branch: r7243, r7244

comment:12 Geändert vor 6 Jahren durch er13

In [7248]:

vsftpd:

comment:13 Geändert vor 6 Jahren durch er13

In [7249]:

toolchain/gcc-4.6.x:

  • add patch fixing gcc-4.6.x regression causing uClibc' old_atexit.c to be miscompiled (freetz-patch by dileks, upstream patch by Jakub Jelinek)
  • refs #1310, refs #842, refs #1396
  • thanks to dileks for testing

comment:14 Geändert vor 6 Jahren durch dileks

Just FYI… Das github Repository [1] ist nicht in sync mit dem SVN Repository.

[1] https://github.com/olistudent/freetz

comment:15 Geändert vor 6 Jahren durch Whoopie

@dileks: Woher hast Du, dass das git-Repository offiziell ist? Es wird nicht im Wiki erwähnt. Bisher ist mein Kenntnisstand, dass wir offiziell mit dem SVN-Repository arbeiten.

comment:16 Geändert vor 6 Jahren durch cinereous

Wir arbeiten auch mit dem SVN. Das git ist aktuell ein Backup, denke ich. Aber dennoch danke für den Hinweis, denn dann passt einer der Hooks nicht.

comment:17 Geändert vor 6 Jahren durch oliver

In [7251]:

[freetz-stable-1.2]: Merge in r7243:7244, r7248:7250 from trunk (refs #1396):


r7243 | er13 | 2011-07-02 17:53:25 +0200 (Sa, 02. Jul 2011) | 4 Zeilen
toolchain:

  • bump gcc 4.6.x version to 4.6.1
  • refs #842

r7244 | er13 | 2011-07-02 18:32:32 +0200 (Sa, 02. Jul 2011) | 4 Zeilen
gcc-4.6 version bump in r7243:

  • fix libstdc++ version, thanks to dileks for pointing this out
  • refs #842

r7248 | er13 | 2011-07-05 00:12:43 +0200 (Di, 05. Jul 2011) | 4 Zeilen
vsftpd:


r7249 | er13 | 2011-07-05 08:26:19 +0200 (Di, 05. Jul 2011) | 5 Zeilen
toolchain/gcc-4.6.x:

  • add patch fixing gcc-4.6.x regression causing uClibc' old_atexit.c to be miscompiled (freetz-patch by dileks, upstream patch by Jakub Jelinek)
  • refs #1310, refs #842
  • thanks to dileks for testing

r7250 | oliver | 2011-07-05 10:56:15 +0200 (Di, 05. Jul 2011) | 1 Zeile

  • build prerequisites: Remove jam, transmission doesn't depend on it anymore

  • r7242 needs more testing

comment:18 Geändert vor 6 Jahren durch dileks

@Whoopie: Information zu GIT ist mir auch neu. Ich begrüsse GIT und einen baldigen Umstieg. Im Ticket oben "Beschreibung" hat auf meine Anfrage im IRC Oliver die URL hinterlegt.

Desweiteren sprechen wir im IRC auch über Themen wie "Organisation" (Projekt-Management), Development (Workflow), Umgangsformen, etc. Hier sind Defizite bekannt. Auch haben mehrere Menschen ausm IRC einen #freetz IRC-Kanal speziell zu "freetz-Team und Development" angeregt.

Letzter Sonntag war ein gutes Bsp. für Zusammenarbeit sogar Cross-Community fand statt (vgl. Früchte in Ticket #1310)… Aber es zeigte auch, dass normale Support-Anfragen und Diskussion speziell zur Entwicklung als störend empfunden werden.

Darüberhinaus gefallen mir einige Ansichten der Channel-OPs auf #fritzbox nicht (Themen: Away-Nicks, Kampf-Ideln). In einem anderen Projekt, bin ich kurzfristig als Channel-OP eingesprungen ("1x1 Channel-OP" Wiki vorhanden).

Zuletzt geändert vor 6 Jahren von dileks (vorher) (Diff)

comment:19 Antwort: Geändert vor 6 Jahren durch oliver

@dileks
Zum wiederholten Male: Das Bugtracking System ist kein Diskussionsforum!

Du hast Recht mit dem was du schreibst und ich habe nichts gegen deine Äußerungen einzuwenden, aber bitte nicht in den Tickets…

comment:20 Geändert vor 6 Jahren durch oliver

In [7252]:

  • rc.mod: Add external hook for nand flash on 7390 (by abraxxl)
    • Perhaps we can find a cleaner solution after next AVM firmware update
    • refs #1373, #1396

comment:21 Geändert vor 6 Jahren durch oliver

In [7254]:

  • 7112: Fix alien firmware (missed update)

comment:22 Geändert vor 6 Jahren durch cinereous

r7256 sollte hier noch mit rein.

comment:23 Geändert vor 6 Jahren durch er13

Braucht man msgfmt(gettext) wirklich? Kann man da nicht irgendeine make-Variable überschreiben (i.e. MSGFMT=true) oder sonst irgendwie das Erstellen der Dokumentation unterbinden. Welche Version btw. - 2.18?

comment:24 als Antwort auf: ↑ 19 Geändert vor 6 Jahren durch dileks

Replying to oliver:

@dileks
Zum wiederholten Male: Das Bugtracking System ist kein Diskussionsforum!

Du hast Recht mit dem was du schreibst und ich habe nichts gegen deine Äußerungen einzuwenden, aber bitte nicht in den Tickets…

Ist mir klar, also wo dann? Wiki? (Hatte dich auch im IRC gefragt, wohin mit den Ideen.)

comment:25 Geändert vor 6 Jahren durch cinereous

@er13 Ich bin nicht sicher, ob das wirklich benötigt wird, aber es wird ja gefordert beim make-Prozess. Da ich selber hier auf das Problem gelaufen bin auf meinem arch-Linux-System (nein, debian-basierte haben das Problem nicht anscheinend) habe ich den Check ergänzt.

comment:26 Geändert vor 6 Jahren durch er13

In [7277]:

toolchain, gcc/binutils-makefiles:

  • ensure no docs, no man-pages, no NLS-files are built by hacking build-system a bit
  • noticeably speeds up the build-process, eliminates dependency on gettext and intltool
  • don't install gccbug script, it's not necessary, gcc-4.6.x doesn't even provide it
  • refs #842
  • refs #1396

comment:27 Geändert vor 6 Jahren durch er13

In [7280]:

  • remove dependency on msgfmt, from what I've tested we don't require it anymore
  • refs #1396

comment:28 Geändert vor 6 Jahren durch er13

In [7300]:

uClibc-0.9.3x:

  • add some upstream patches, by dileks
  • refs #842, refs #1396

comment:29 Geändert vor 6 Jahren durch oliver

In [7310]:

  • onlinechanged: Fix German Umlauts (by JMC)
    • Fix wording
  • fixes #1408, refs #1396

comment:30 Geändert vor 6 Jahren durch oliver

In [7326]:

[freetz-stable-1.2]: Merge in r7242, r7254, r7256, r7258:7260, r7274, r7277, r7280, r7291, r7300:7303, r7310:7311, r7321, r7325 from trunk (refs #1396):


r7242 | oliver | 2011-07-02 13:50:06 +0200 (Sa, 02. Jul 2011) | 4 Zeilen

  • libfreetz: Update to version 0.5 (refs #61)
    • Fixes libfreetz for older firmwares: 2170, 3070, 3130, 3131, 3170, 7140
    • Should be merged to stable-branch if confirmed
    • by RalfFriedl

r7254 | oliver | 2011-07-05 15:02:57 +0200 (Di, 05. Jul 2011) | 2 Zeilen

  • 7112: Fix alien firmware (missed update)

r7256 | cinereous | 2011-07-05 15:26:46 +0200 (Di, 05. Jul 2011) | 1 Zeile

  • build-prerequisites: Add msgfmt to warnings, because building of binutils-kernel needs it

r7258 | oliver | 2011-07-05 17:13:13 +0200 (Di, 05. Jul 2011) | 1 Zeile

  • Callmonitor: Don't compile on $(pkg) target (nocompile target)

r7259 | oliver | 2011-07-05 17:57:00 +0200 (Di, 05. Jul 2011) | 2 Zeilen

  • openvpn: Some small fixes and improvements to "openvpn_conf" (refs #1129)
    • by MaxMuster

r7260 | oliver | 2011-07-05 19:39:33 +0200 (Di, 05. Jul 2011) | 2 Zeilen


r7274 | oliver | 2011-07-06 11:31:07 +0200 (Mi, 06. Jul 2011) | 1 Zeile
Config.in: FREETZ_TYPE_FON_5124 and FREETZ_TYPE_FON_5140 have AVM libcrypto and libssl


r7277 | er13 | 2011-07-07 08:36:26 +0200 (Do, 07. Jul 2011) | 7 Zeilen
toolchain, gcc/binutils-makefiles:

  • ensure no docs, no man-pages, no NLS-files are built by hacking build-system a bit
  • noticeably speeds up the build-process, eliminates dependency on gettext and intltool
  • don't install gccbug script, it's not necessary, gcc-4.6.x doesn't even provide it
  • refs #842

r7280 | er13 | 2011-07-07 08:50:38 +0200 (Do, 07. Jul 2011) | 3 Zeilen

  • remove dependency on msgfmt, from what I've tested we don't require it anymore

r7291 | oliver | 2011-07-08 11:20:08 +0200 (Fr, 08. Jul 2011) | 1 Zeile

  • Remove obsolete lines from W701V and W900V Alien patches

r7300 | er13 | 2011-07-09 23:31:21 +0200 (Sa, 09. Jul 2011) | 4 Zeilen
uClibc-0.9.3x:

  • add some upstream patches, by dileks
  • refs #842

r7301 | er13 | 2011-07-10 13:12:32 +0200 (So, 10. Jul 2011) | 4 Zeilen
uClibc:

  • rename/reorder patches, fix offsets
  • refs #842

r7302 | er13 | 2011-07-10 13:39:59 +0200 (So, 10. Jul 2011) | 3 Zeilen
freetz_patch, AUTO_FIX_PATCHES mode:

  • change "labels" of the patched files: include filename, omit .orig-suffix and timestamp

r7303 | er13 | 2011-07-10 13:44:57 +0200 (So, 10. Jul 2011) | 2 Zeilen

  • show full uClibc-version in menuconfig, refs #842

r7310 | oliver | 2011-07-11 12:06:36 +0200 (Mo, 11. Jul 2011) | 3 Zeilen

  • onlinechanged: Fix German Umlauts (by JMC)
    • Fix wording
  • fixes #1408

r7311 | oliver | 2011-07-11 12:18:24 +0200 (Mo, 11. Jul 2011) | 1 Zeile

  • Add 2 devices (/dev/ttyACM{0,1}) needed for USB CDC ACM (by adn77)

r7321 | oliver | 2011-07-12 00:43:26 +0200 (Di, 12. Jul 2011) | 1 Zeile

  • usbroot: Set unmount oldroot option default to 'no' because it sometimes causes problems

r7325 | cuma | 2011-07-12 14:14:04 +0200 (Di, 12. Jul 2011) | 1 Zeile
support file: lsmod, mount & /proc/partitions added (refs #1330)


comment:31 Geändert vor 6 Jahren durch oliver

In [7330]:

  • Fix external fuse dependency (only used for 2.6.13.1)

comment:32 Geändert vor 6 Jahren durch cuma

Ich fänd es gut eine kurze "readme" zum 1.2 Release beizulegen. Sie soll einen Überblick über die größten & wichtigsten Änderungen geben, ohne das lange CHANGELOG durchblättern zu müssen. Dazu noch ein paar wichtige Links. Ich stell mir das so vor

Freetz 1.2 "readme"

 * unterstützung neuerer Firmware von AVM: http://freetz.org/browser/branches/freetz-stable-1.2/FIRMWARES
 * überarbeitetes Webinterface von Freetz, Skinunterstützung
 * viele neue installierbare Packages sowie aktuellere Versionen der vorhandenen: http://freetz.org/wiki/packages?version=164
 * IPv6 fähig durch Aiccu, gogo6 & radvd sowie ip6tables
 * bessere Handhabung ausgelagerter Packages (external), durch automatisches Starten und Stoppen
 * erweiterte Unterstützung der Packages durch inetd, auch für IPv6
 * komplette Liste der Änderungen: http://freetz.org/browser/branches/freetz-stable-1.2/CHANGELOG

 * FAQ http://www.freetz.org/wiki/FAQ
 * Wiki http://freetz.org/wiki
 * Erste Schritte http://freetz.org/wiki/help/howtos/common/newbie
 * Download http://freetz.org/wiki/Download
 * Forum http://www.ip-phone-forum.de/forumdisplay.php?f=525

Verbesserungsvorschläge?

comment:33 Geändert vor 6 Jahren durch oliver

Ein Punkt für die neuen Boxen sollte vielleicht auch noch dazu:

* Unterstützung neuer Boxen (7320, 7340, 7390)

comment:34 Geändert vor 6 Jahren durch oliver

In [7355]:

  • kernel/Config.in: Fix typo

comment:35 Geändert vor 6 Jahren durch cuma

Diese get_ip Änderungen aus #525 sollten noch nach 1.2: r7364 r7369 r7375
Auch r7382 r7383 aus #1426: Fix html "-e" (should HTML-escape the string "-e").

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:36 Geändert vor 6 Jahren durch oliver

In [7403]:

[freetz-stable-1.2]: Merge in r7330, r7334:7335, r7338, r7342, r7344, r7348, r7350:7351, r7353, r7355, r7361:7362, r7364, r7368:7370, r7375:7377, r7382:7383, r7389:7391, r7396 from trunk (refs #1396):


r7330 | oliver | 2011-07-13 00:02:36 +0200 (Mi, 13. Jul 2011) | 2 Zeilen

  • Fix external fuse dependency (only used for 2.6.13.1)

r7334 | oliver | 2011-07-13 15:39:48 +0200 (Mi, 13. Jul 2011) | 1 Zeile

  • remove_tr069 patch: Add condition for older firmwares with rc.init

r7335 | oliver | 2011-07-13 15:45:23 +0200 (Mi, 13. Jul 2011) | 1 Zeile

  • remove wlan patch: Add wpa_supplicant and avmstickandsurf file

r7338 | cuma | 2011-07-16 01:51:52 +0200 (Sa, 16. Jul 2011) | 1 Zeile
virtualip-cgi: mark it as "abandon" and show it only if "advanced" is selected


r7342 | er13 | 2011-07-17 15:18:08 +0200 (So, 17. Jul 2011) | 6 Zeilen
bash:

  • correct / add missing CONFIGURE_ENV values

target-tester:

  • add bash related tests

r7344 | er13 | 2011-07-17 15:47:59 +0200 (So, 17. Jul 2011) | 4 Zeilen
gdb:

  • disable expat, zlib, and other libraries/features explicitly, otherwise they might get linked in
  • uses system readline and not the bundled one

r7348 | er13 | 2011-07-17 22:22:35 +0200 (So, 17. Jul 2011) | 3 Zeilen
openvpn:

  • bump version to 2.2.1

r7350 | oliver | 2011-07-18 16:22:19 +0200 (Mo, 18. Jul 2011) | 2 Zeilen

  • aiccu: Fix sit module selection (aiccu needs it for heartbeat tunnel)
    • Add libpthread dependency

r7351 | oliver | 2011-07-18 16:24:14 +0200 (Mo, 18. Jul 2011) | 1 Zeile

  • virtualip: Write "deprecated" instead of "abandon" (by dileks)

r7353 | oliver | 2011-07-18 18:55:17 +0200 (Mo, 18. Jul 2011) | 5 Zeilen

  • kernel/Config.in: Fix depends for sit.ko
    • Only available if AVM firmware doesn't have IPv6 support (otherwise built-in)
    • and kernel version 2.6.19.2 (2.6.13.1 doesn't have sit module, higher kernel versions are all IPv6 enabled)
    • and ipv6 module is selected
  • reported by dileks

r7355 | oliver | 2011-07-18 21:53:15 +0200 (Mo, 18. Jul 2011) | 2 Zeilen

  • kernel/Config.in: Fix typo

r7361 | oliver | 2011-07-19 10:25:02 +0200 (Di, 19. Jul 2011) | 1 Zeile

  • remove tr069 patch: check if modsed was successful

r7362 | oliver | 2011-07-19 14:04:55 +0200 (Di, 19. Jul 2011) | 1 Zeile

  • remove tr069 patch: Fix modsed, check for rc.init first

r7364 | cuma | 2011-07-19 19:33:34 +0200 (Di, 19. Jul 2011) | 6 Zeilen
get_ip

  • without a parameter, try all 3 methods (order: webcm, extquery, dsld)
  • extquery: execute wget (max) 3 times to get the ip
  • webcm: do not return a local ip
  • dsld: check for an empty ip

(refs #525)


r7368 | er13 | 2011-07-19 21:10:35 +0200 (Di, 19. Jul 2011) | 3 Zeilen
fakeroot:

  • bump version to 1.16

r7369 | cuma | 2011-07-20 13:40:00 +0200 (Mi, 20. Jul 2011) | 1 Zeile
get_ip: add option -a, —all [default] (refs #525)


r7370 | cuma | 2011-07-20 13:47:02 +0200 (Mi, 20. Jul 2011) | 1 Zeile
lighttpd: fix location in external menu


r7375 | cuma | 2011-07-21 08:29:23 +0200 (Do, 21. Jul 2011) | 5 Zeilen
get_ip

  • dsld: check for local ips too (seen on 7141)
  • dsld: update showdsldstat parsing, by kriegaex
  • webcm: allow more returnvalues, see file for details

(refs #525)


r7376 | cuma | 2011-07-21 12:48:39 +0200 (Do, 21. Jul 2011) | 2 Zeilen
get_ip: default method could be set via webif
opendd, vsftpd & box_info: removed obsolete get_ip arguments


r7377 | cuma | 2011-07-21 14:11:32 +0200 (Do, 21. Jul 2011) | 1 Zeile
get_ip: cache for extquery (1 minute)


r7382 | buehmann | 2011-07-22 10:30:26 +0200 (Fr, 22. Jul 2011) | 5 Zeilen
Fix html "-e" (should HTML-escape the string "-e").

-e was interpreted by echo. Unfortunately, echo does not interpret --
to mean the end of options; hence this workaround …


r7383 | buehmann | 2011-07-22 12:45:23 +0200 (Fr, 22. Jul 2011) | 2 Zeilen
Use printf instead of workaround; refs #1426.


r7389 | oliver | 2011-07-23 12:32:51 +0200 (Sa, 23. Jul 2011) | 4 Zeilen

  • add dsl expert pages patch:
    • Doesn't work on 7390 → remove it
    • TODO: Update for new 7240 and 7270 firmwares
      • What's with 7320?

r7390 | er13 | 2011-07-23 13:34:04 +0200 (Sa, 23. Jul 2011) | 3 Zeilen

  • Use host tar to unpack packages again. busybox' tar doesn't support pax (aka POSIX 1003.1-2001) tar format and this causes more troubles than older tar versions not supporting -J flag.
  • Revise PKG_UNPACK rules, call decompress program explicitly instead of requiring tar to support xz/lzma related decompression flags.

r7391 | er13 | 2011-07-23 13:37:46 +0200 (Sa, 23. Jul 2011) | 4 Zeilen
transmission:

  • bump version to 2.33
  • use official tarball again

r7396 | oliver | 2011-07-24 10:35:19 +0200 (So, 24. Jul 2011) | 2 Zeilen

cpmaccfg: Disable if kernel layout != OHIO
UR8
  • It's not adapted to IKS and AR9

comment:37 Geändert vor 6 Jahren durch cuma

Bitte mergen: r7415 r7430 evtl r7431+r7432

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:38 Geändert vor 6 Jahren durch oliver

In [7429]:

  • push_firmware: Fix typo in Alice function

comment:39 Geändert vor 6 Jahren durch oliver

In [7434]:

  • 7113: Bump international version to 90.04.84
    • Update patches
    • refs #1396

comment:40 Geändert vor 6 Jahren durch oliver

In [7435]:

  • Makfile: Add .NOTPARALLEL flag
    • Freetz has it's own setting for the number of jobs
    • The user shouldn't be able to mess up the build with "make -j x"
    • refs #1396

comment:41 Geändert vor 6 Jahren durch oliver

In [7437]:

  • fwmod: Create onlinechanged directory instead of file (fixes #1430)

comment:42 Geändert vor 6 Jahren durch oliver

In [7442]:

[freetz-stable-1.2]: Merge in r7400:7401, r7407:7409, r7415:7417, r7420:7422, r7425, r7429:7432, r7434, r7435, r7437 from trunk (refs #1396):

————————————————————————————————————

r7400 | oliver | 2011-07-24 11:52:20 +0200 (So, 24. Jul 2011) | 3 Zeilen

  • rc.mod: Second try to add an external mount hook for 7390 NAND (by Ralf Friedl)
    • needs a busybox patch (df -P should output only one line)
    • refs #1373

r7401 | oliver | 2011-07-24 12:27:32 +0200 (So, 24. Jul 2011) | 1 Zeile

  • rc.mod: Fix character encoding

r7407 | cuma | 2011-07-24 17:19:18 +0200 (So, 24. Jul 2011) | 6 Zeilen
opendd:

  • added to external-services
  • fix interaction with onlinechanged

(refs #1409)


r7408 | cuma | 2011-07-24 17:23:19 +0200 (So, 24. Jul 2011) | 1 Zeile
added onlinechanged to shown logfiles


r7409 | cuma | 2011-07-24 17:26:59 +0200 (So, 24. Jul 2011) | 1 Zeile
logfiles: colorization of "inetd"


r7415 | cuma | 2011-07-24 22:55:04 +0200 (So, 24. Jul 2011) | 1 Zeile
remove tr069: fix modsed (refs #1427)


r7416 | cuma | 2011-07-25 23:30:29 +0200 (Mo, 25. Jul 2011) | 1 Zeile
openntpd's reload: dont start ntpd if not running (refs #1428)


r7417 | cuma | 2011-07-26 10:04:15 +0200 (Di, 26. Jul 2011) | 1 Zeile
fix r7416 (refs #1428)


r7420 | oliver | 2011-07-28 19:50:56 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • 7112 Alien patch: Remove more usb files (by abraxxl)

r7421 | oliver | 2011-07-28 19:52:56 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • Rename some config symbols (by dileks)

r7422 | oliver | 2011-07-28 19:54:59 +0200 (Do, 28. Jul 2011) | 1 Zeile

  • Config.in: Select more remove patches for 7112 Alien (by abraxxl)

r7425 | er13 | 2011-07-28 21:13:02 +0200 (Do, 28. Jul 2011) | 3 Zeilen
gettext:

  • fix uninstall rule

r7429 | oliver | 2011-07-30 11:11:30 +0200 (Sa, 30. Jul 2011) | 2 Zeilen

  • push_firmware: Fix typo in Alice function

r7430 | cuma | 2011-07-30 18:30:21 +0200 (Sa, 30. Jul 2011) | 1 Zeile
dropbear: take care of ROOTONLY


r7431 | cuma | 2011-07-30 18:33:44 +0200 (Sa, 30. Jul 2011) | 1 Zeile
modlibrc: hide errormessage if no process is running (inetd-mode)


r7432 | cuma | 2011-07-31 14:25:23 +0200 (So, 31. Jul 2011) | 1 Zeile
dropbear: hide errormessage if no process is running (revert r7431)


r7434 | oliver | 2011-07-31 16:50:35 +0200 (So, 31. Jul 2011) | 3 Zeilen

  • 7113: Bump international version to 90.04.84
    • Update patches
    • refs #1396

r7435 | oliver | 2011-07-31 17:03:56 +0200 (So, 31. Jul 2011) | 4 Zeilen

  • Makfile: Add .NOTPARALLEL flag
    • Freetz has it's own setting for the number of jobs
    • The user shouldn't be able to mess up the build with "make -j x"
    • refs #1396

r7437 | oliver | 2011-07-31 22:03:23 +0200 (So, 31. Jul 2011) | 2 Zeilen

  • fwmod: Create onlinechanged directory instead of file (fixes #1430)

comment:43 Geändert vor 6 Jahren durch oliver

In [7475]:

  • 7170: Fix Alien patches with en and a_ch firmware (refs #1396)

comment:44 Geändert vor 6 Jahren durch oliver

In [7476]:

  • 7170: Bump 7170 en Annex A to 58.04.84 (refs #1450, #1396)

comment:45 Geändert vor 6 Jahren durch oliver

Was machen wir mit der 7390 in Freetz-1.2? Derzeit gibt es keine Firmware (außer der aktuellen) mehr zum Download

comment:46 Geändert vor 6 Jahren durch cuma

So wie ich das sehe gibt es mit der 05er Firmware noch zuviele Probleme, zB conntrack, usb2com Adapter, AVM-Daemons (im Forum gelesen), … Deshalb bin ich auf der 7270 auch noch bei der letzten 04er, die läuft stabil mit allem. Ist ja kein Problem wenn 1.2 die alten 04er unterstützt, und wenn die 05er gut laufen macht man halt 1.2.1.
Wenn 1.2 weiter verzögert wid bis die 05er gut laufen ist Weihnachten und dann gibts schon die nächste Firmwarerunde von AVM und es wird dieses Jahr nichts neues von Freetz :] Viele nutzen nunmal gerne eine als "stable" gekennzeichnete Version.

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:47 Geändert vor 6 Jahren durch er13

Ich glaube Oliver geht es darum, dass wir aus rechtlichen Gründen keine Firmwares auf unseren Mirrors ablegen dürfen, oder? Wie sieht es mit dem AVM-Opensource-Paket aus? Da sollte es rechtlich, denke ich, keine Probleme geben.

Auch wenn es bei einem frischen Release ziemlich blöd ist, dass der User sich die original Firmware auf anderen Wegen besorgen muss, tendiere ich wie cuma wegen diverser Probleme dazu es in 1.2 bei 04 zu belassen.

comment:48 Geändert vor 6 Jahren durch cuma

Die Sourcen hat hippie2000 auf seinem Server. Hat schonmal jemand avm gefagt ob wir Images mirroren dürfen?

comment:49 Geändert vor 6 Jahren durch SaschaBr

Wollte ich auch grade vorschlagen, mal bei AVM nachzufragen. Eventuell (falls sie es nicht erlauben) kann man AVM ja zum vorhalten der Firmwares bewegen. Entsorgen wird AVM die Firmwares bestimmt nicht. (Und falls doch können sie ja bei uns im Forum lieb nachfragen! :-) )

comment:50 Geändert vor 6 Jahren durch schuettecarsten

Hallo, gegen das Hosten von fertig compilierten Firmwares kann AVM vorgehen: Zwar müssen sie den Quellcode für die Teile, die auf der GPL etc. basieren, offen legen, aber das bezieht sich nicht auf die Sachen, die AVM selbst gebaut hat, den multid oder was WebIF sind so Beispiele. Daran hat AVM die Rechte, und das darf man nicht einfach fremd anbieten, ohne das "ok" zu haben.

comment:51 Geändert vor 6 Jahren durch cuma

Es ist nicht 100% sicher dass es so ist, aber niemand hat sich getraut es auszuprobieren. Die Dateien enthalten ja bekanntlich GPL code.

Deshalb wollt ich auch wissen ob schon jemand gefragt hat

comment:52 Geändert vor 6 Jahren durch schuettecarsten

Ich würde es im Moment besser nicht tun, sondern erst den Ausgang dieses Verfahrens abwarten. Daraus kann man dann eine Menge ablesen, und hat ggf. ein paar gute Argumente bei einer Anfrage an AVM in der Hand.

Link:
http://www.heise.de/open/artikel/Verhaertete-Fronten-im-Rechtsstreit-zwischen-AVM-Cybits-und-FSFE-1264765.html

comment:53 Geändert vor 6 Jahren durch oliver

In [7510]:

  • kernel: Use alternative download for 7390 04.91 sources (not the firmware)

comment:54 Geändert vor 6 Jahren durch oliver

In [7513]:

[freetz-stable-1.2]: Merge in r7439:7441, r7444:7450, r7453:7454, r7457, r7463, r7469, r7471:7472, r7475:7476, r7492, r7497:7502, r7507, r7510 from trunk (refs #1396):


r7439 | oliver | 2011-08-02 19:45:47 +0200 (Di, 02. Aug 2011) | 1 Zeile

  • pptp: Fix module name for kernel version > 2.6.28 (sha1_generic)

r7440 | oliver | 2011-08-02 19:48:33 +0200 (Di, 02. Aug 2011) | 3 Zeilen

  • kernel/Config.in: Fix selects for FREETZ_MODULE_ppp_mppe_mppc
    • needs sha1(generic) and arc4
    • remove selects from pppd/Config.in

r7441 | oliver | 2011-08-02 20:31:56 +0200 (Di, 02. Aug 2011) | 1 Zeile

  • kernel/Config.in: Module crypto_algapi is available for 2.6.28 only

r7444 | cuma | 2011-08-04 00:50:16 +0200 (Do, 04. Aug 2011) | 1 Zeile
radvd: hide message if /proc/sys/net/ipv6/conf/all/forwarding does not exist (eg 1st-time-config)


r7445 | cuma | 2011-08-04 14:00:09 +0200 (Do, 04. Aug 2011) | 1 Zeile
pppd: replaced empty $DAEMON


r7446 | cuma | 2011-08-04 18:09:52 +0200 (Do, 04. Aug 2011) | 1 Zeile
pppd: removed empty cases from rc.pppd


r7447 | cuma | 2011-08-04 18:20:59 +0200 (Do, 04. Aug 2011) | 1 Zeile
"finished" message for external, mod & onlinechanged


r7448 | cuma | 2011-08-04 18:32:54 +0200 (Do, 04. Aug 2011) | 1 Zeile
rc.mod: log if external is detected on nand


r7449 | cuma | 2011-08-04 19:29:28 +0200 (Do, 04. Aug 2011) | 3 Zeilen
logfiles:

  • onlinechanged: added empty line to seperat events
  • external: removed 1st empty line in logfile

r7450 | cuma | 2011-08-05 00:28:18 +0200 (Fr, 05. Aug 2011) | 1 Zeile
fix r7449


r7453 | cuma | 2011-08-05 21:58:59 +0200 (Fr, 05. Aug 2011) | 1 Zeile
telnetd: check if started by phone


r7454 | cuma | 2011-08-06 17:50:14 +0200 (Sa, 06. Aug 2011) | 1 Zeile
telnetd (inetd-mode): check if started by phone (refs r7453)


r7457 | cuma | 2011-08-09 13:15:59 +0200 (Di, 09. Aug 2011) | 4 Zeilen
openvpn:

  • create /tmp/flash/openvpn (missing sice r7309)
  • moved some lines to "load" section

(closes #1443)


r7463 | er13 | 2011-08-10 08:26:49 +0200 (Mi, 10. Aug 2011) | 3 Zeilen
collectd & ltrace:

  • add some more files to external

r7469 | oliver | 2011-08-11 23:44:59 +0200 (Do, 11. Aug 2011) | 8 Zeilen

  • e2fsprogs:
    • added some missing files, improved compatibility to replace avm package
    • added fsck + fsck.ext* Symlinks
      • added mkfs.ext* symlinks
      • added blkid symlink in sbin
      • added e2freefrag
      • added resize2fs
    • by hippie200, refs #1445

r7471 | cuma | 2011-08-13 02:21:25 +0200 (Sa, 13. Aug 2011) | 1 Zeile
openvpn: moved some "cp" to start() (fixes r7457, closes #1443)


r7472 | cuma | 2011-08-13 02:25:42 +0200 (Sa, 13. Aug 2011) | 1 Zeile
revert changes unintentionally committed in r7471 (refs #1443)


r7475 | oliver | 2011-08-16 21:36:02 +0200 (Di, 16. Aug 2011) | 1 Zeile

  • 7170: Fix Alien patches with en and a_ch firmware (refs #1396)

r7476 | oliver | 2011-08-16 22:39:13 +0200 (Di, 16. Aug 2011) | 1 Zeile

  • 7170: Bump 7170 en Annex A to 58.04.84 (refs #1450, #1396)

r7497 | er13 | 2011-08-19 00:05:03 +0200 (Fr, 19. Aug 2011) | 3 Zeilen
external:

  • sort files alphabetically before processing them

r7499 | er13 | 2011-08-19 01:38:28 +0200 (Fr, 19. Aug 2011) | 4 Zeilen
radvd:

  • drop dependency on libfl (flex)
  • fix uninstall rule

r7500 | er13 | 2011-08-19 01:47:17 +0200 (Fr, 19. Aug 2011) | 3 Zeilen
aiccu, digitemp, iputils:

  • fix uninstall/clean rules

r7501 | er13 | 2011-08-19 22:59:24 +0200 (Fr, 19. Aug 2011) | 4 Zeilen
e2fsprogs:


r7502 | er13 | 2011-08-20 11:36:53 +0200 (Sa, 20. Aug 2011) | 3 Zeilen
nmap:

  • fix nmap doesn't compile with IPv6 support disabled

r7507 | er13 | 2011-08-20 21:19:43 +0200 (Sa, 20. Aug 2011) | 3 Zeilen
fakeroot:

  • bump version to 1.17

r7510 | oliver | 2011-08-22 12:18:41 +0200 (Mo, 22. Aug 2011) | 2 Zeilen

  • kernel: Use alternative download for 7390 04.91 sources (not the firmware)

comment:55 Geändert vor 6 Jahren durch cuma

Fehler beim stable bauen

  applying patches (7270_v2-de)
./fwmod: Zeile 414: ./patches/7270_v2/de/*.sh: Datei oder Verzeichnis nicht gefunden
./fwmod: Zeile 414: ./patches/7270_v2/*.sh: Datei oder Verzeichnis nicht gefunden

comment:56 Geändert vor 6 Jahren durch oliver

In [7525]:

[freetz-stable-1.2]: Fix merge error from r7442 (fwmod)

comment:57 Geändert vor 6 Jahren durch oliver

In [7571]:

[freetz-stable-1.2]: Merge in r7534, r7540, r7543, r7553:7554, r7558, r7562:7563, r7567, r7570 from trunk (refs #1396):


r7534 | cuma | 2011-08-26 05:31:31 +0200 (Fr, 26. Aug 2011) | 1 Zeile
external: skip stopping during shutdown (speed up), rc.mod stops all packages


r7540 | oliver | 2011-08-27 10:59:27 +0200 (Sa, 27. Aug 2011) | 3 Zeilen


r7543 | er13 | 2011-08-27 19:48:19 +0200 (Sa, 27. Aug 2011) | 11 Zeilen
gcc-4.4.x:

  • revise pr42980_backport.patch, split it into two separate patches (for better comprehensibility)

gcc-4.5.x/4.6.x:

  • add pr42980_backport.patch'es
  • expected to fix some parallel build problems reported on IRC

p.s. pr42980 is still not closed (http://gcc.gnu.org/bugzilla/show_bug.cgi?id=42980)


r7553 | er13 | 2011-08-28 23:59:21 +0200 (So, 28. Aug 2011) | 4 Zeilen
makefiles:

  • introduce a new helper function qstrip
  • use it to eliminate some code clones

r7554 | er13 | 2011-08-29 00:35:22 +0200 (Mo, 29. Aug 2011) | 4 Zeilen
build system:

  • abort build process with an error if user defined compiler flags (menuconfig:Advanced options/Toolchain options/Target compiler flags) contain CPU/arch related flags, these are automatically set by freetz build environment
  • refs #1465

r7558 | oliver | 2011-08-29 23:38:19 +0200 (Mo, 29. Aug 2011) | 1 Zeile

  • siproxd: Register as daemon

r7562 | er13 | 2011-08-31 00:20:30 +0200 (Mi, 31. Aug 2011) | 4 Zeilen
siproxd:


r7563 | er13 | 2011-08-31 01:30:18 +0200 (Mi, 31. Aug 2011) | 3 Zeilen
siproxd:

  • bump version to 0.8.1 (untested)

r7567 | er13 | 2011-09-01 23:07:42 +0200 (Do, 01. Sep 2011) | 4 Zeilen
tor:

  • bump version to 0.2.2.32 (by make)
  • fixes #1481

r7570 | buehmann | 2011-09-03 11:29:11 +0200 (Sa, 03. Sep 2011) | 4 Zeilen
callmonitor-1.19.2

The default "start type" has changed to "no". You may have to re-enable Callmonitor.


comment:58 Geändert vor 6 Jahren durch cuma

Bitte mergen:

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:59 Geändert vor 6 Jahren durch oliver

mergen: r7598

comment:60 Geändert vor 6 Jahren durch oliver

In [7603]:

  • Fix W701V 7170 Alien patch (by dileks)

comment:61 Geändert vor 6 Jahren durch oliver

In [7629]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:62 Geändert vor 6 Jahren durch oliver

In [7631]:

[freetz-stable-1.2]: Missed some files in last commit (refs #1396)

  • grapchis directory is still missing (svn client messed something up)

comment:63 Geändert vor 6 Jahren durch oliver

In [7637]:

[freetz-stable-1.2]: Add some more missing files from last merge (refs #1396)

  • Sorry, my client messed up the commit

comment:64 Geändert vor 6 Jahren durch cuma

In [7642]:

[freetz-stable-1.2]: fix r7637, delete obsolete files (refs #1396)

comment:65 Geändert vor 6 Jahren durch cuma

In [7643]:

[freetz-stable-1.2]: Merge in r7521 from trunk (refs #1396):


r7521 | oliver | 2011-08-24 22:08:06 MESZ

  • rrdstats,vnstat-cgi: Add external.services (refs #1275)

comment:66 Geändert vor 6 Jahren durch cuma

Kann jeder mal hier schreiben was er denkt was für 1.2 noch zu tun ist?

comment:67 Geändert vor 6 Jahren durch oliver

Ich hätte gerne den Firmware Download nach vorne gezogen. Entweder ganz zu Anfang oder nach den tools. Es ist einfach blöd, wenn man 2h baut und dann die Firmware nicht verfügbar ist.

Aktuell ist für 3270, 7390 keine 04.XX Firmware mehr auf dem AVM FTP. Hier bräuchten wir ähnlich der Laborversionen einen Hinweis, dass die Firmware manuell beschafft werden muss. Evtl. könnte man an dieser Stelle mit Hermanns Wiki-Vorleser auch einen FAQ-Abschnitt aus dem Wiki vorlesen lassen.

comment:68 Geändert vor 6 Jahren durch ralf

In [7653]:

  • Combine firmware download into macro
  • load fimrware first, refs #1396

comment:69 Geändert vor 6 Jahren durch cuma

mergen:

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:70 Geändert vor 6 Jahren durch cuma

In [7655]:

added link to "Could not download firmware image" (refs #1396)

comment:71 Geändert vor 6 Jahren durch cuma

Ein Hinweis beim Download von Freetz selbst (zB im Forum) wäre auch noch gut, etwa nur für Firmware der Generation 04 geeignet. Bei den 7270,3270&7390 Fritzboxen wird also nicht die aktuellste Firmware unterstützt. Für 3270 und 7390 müssen diese älteren Dateien im Sammelthread besorgt werden, da diese nicht mehr von AVM herunterladbar sind.

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:72 Geändert vor 6 Jahren durch cuma

In [7661]:

added another "Could not download firmware image" link (refs #1396)

comment:73 Geändert vor 6 Jahren durch dad401

Folgende Verbesserungen fallen mir nach Ausprobieren der 1.2-preview noch ein:

  • bei Verwendung von digitemp wird/werden cvs-Datei(en) mit den Temperaturdaten angelegt und fortgeschrieben. Hier wäre es z.B. sinnvoll die maximale Größe zu konfigurieren, sonst wird der externe Speicher irgendwann vollgeschrieben sein (auch wenn das sicher dauert ;-))
  • der Dienst "swap" wäre m.E. auch ein Kandidat für einen Dienst der per Default als external ausgewiesen/eingestellt wird

comment:74 Geändert vor 6 Jahren durch cuma

Cool, der erste Userkommentar :] Die beiden Punkte haben aber nicht wirklich was mit 1.2 zu tun, das sind mehr Feature-Requests. Es geht hier mehr um Dinge die im 1.2-Branch noch nicht richtig funktionieren.

  • rrdstats: hier würde sich ein einfacher cron-job anbieten der die Dateigröße 1x täglich überprüft, das muss ja nicht bei jedem RRDstats-Durchlauf gemacht werden. Vielleicht hilft auch #642
  • swap-Partitionen werden beim einstecken des Sticks automatisch gemountet, falls das "aktiviert" ist (sieht man dann im Log). Bei Swap-Dateien ist das nicht so einfach da swap kein Package ist. Es dürft auch nicht funktionieren wenn du swap bei "eigene Dienste" einträgst

comment:75 Geändert vor 6 Jahren durch ralf

Swap ist zwar kein Dienst im engeren Sinne, aber es könnte funktionieren, Swap als eigenen Dienst einzutragen, es käme auf einen Versuch an.

comment:76 Geändert vor 6 Jahren durch cuma

Es gab mal was ähnliches. Dass swap nicht in /etc/static.pkg steht dürfte das verhindern

comment:77 Geändert vor 6 Jahren durch oliver

In [7663]:

[freetz-stable-1.2]: Merge in r7506, r7609:7616, r7626, r7638, r7644, r7653:7655, r7661:7662 from trunk (refs #1396):


r7506 | er13 | 2011-08-20 14:50:54 +0200 (Sa, 20. Aug 2011) | 4 Zeilen

  • fix telnetd could not be switched to inetd-mode after r7454

@cuma: please review and correct in case I'm missing something


r7609 | kriegaex | 2011-09-14 09:49:46 +0200 (Mi, 14. Sep 2011) | 5 Zeilen
Improve auto-fix, step 1: make it work for paths containing spaces.

Attention: usage of 'lsdiff' requires Linux package 'patchutils' which will
be required by step 2 of auto-fix improvements later on anyway.


r7610 | kriegaex | 2011-09-14 10:17:53 +0200 (Mi, 14. Sep 2011) | 3 Zeilen
Improve auto-fix, step 1b: Add timestamps to file labels to make sure that
'lsdiff' can still list file names containing spaces correctly after auto-fix.


r7611 | kriegaex | 2011-09-14 11:55:34 +0200 (Mi, 14. Sep 2011) | 4 Zeilen
Cosmetic fix: replace variable name 'file' (identical to well-known UNIX
command-line tool) by '_file', just to be clean. There were no problems
before, but maybe this makes reading the script easier.


r7612 | kriegaex | 2011-09-14 12:11:52 +0200 (Mi, 14. Sep 2011) | 12 Zeilen
Improve auto-fix, final step 2: As a new feature, patch file comments above or
in between diff sections are transferred to auto-fixed patch. Previously they
were discarded as a result of automatic re-diffing.

This improvement comes at a cost, though:

a) As mentioned in #7609, we need Linux package 'patchutils' now because the

script uses 'lsdiff' and 'filterdiff' now.

b) We also need Linux package 'mktemp' because of temp-file usage.
c) Locating, copying and pasting comments probably slows down auto-fix mode

considerably. But it is not used often and only by developers anyway, so
this should not be a big disadvantage and save more time than it costs.


r7613 | kriegaex | 2011-09-14 14:15:55 +0200 (Mi, 14. Sep 2011) | 6 Zeilen
Fix downloads with spaces in URLs (as requested by dileks) by explicitly
setting environment variable IFS (field separator) for loops to '\n'.
Another way to fix it would have been to loop over numbers [0..(array_size-)]
and get array elements one after another instead of looping directly over
array elements.


r7614 | kriegaex | 2011-09-14 15:39:25 +0200 (Mi, 14. Sep 2011) | 2 Zeilen
Fix debug output and beautify URL and file name printing


r7615 | kriegaex | 2011-09-14 21:00:56 +0200 (Mi, 14. Sep 2011) | 7 Zeilen
Fix MD5 sum comparison because (thanks to dileks for reporting the problem).
I wonder how this has ever worked before because 'md5sum' prints a file name
after the MD5 which needs to be cut off. Maybe it worked because IFS was set
to whitespace before my latest changes, so somehow the whitespace separator
had the effect of cutting off the trailing file name. anyway, now we have a
(hopefully stable) solution.


r7616 | kriegaex | 2011-09-14 21:11:27 +0200 (Mi, 14. Sep 2011) | 6 Zeilen
Postscriptum for previous commit: The whitespace IFS worked only because the
surrounding braces converted the result of the md5sum call into a shell array
of which only the first element was printed if used without subscript/index.

This commit cleans up this self-obfuscation. Quite funny indeed…


r7626 | buehmann | 2011-09-16 15:39:40 +0200 (Fr, 16. Sep 2011) | 2 Zeilen
The URL of the project page and wiki has changed; adjust "Help" links.


r7638 | oliver | 2011-09-18 22:49:45 +0200 (So, 18. Sep 2011) | 1 Zeile

  • tor: Bump version to 0.2.2.33 (fixes #1507)

r7644 | ralf | 2011-09-19 15:22:21 +0200 (Mo, 19. Sep 2011) | 3 Zeilen

  • Add Module iso9660 for CDs
  • Move ndas from filesystems to block drivers

r7653 | ralf | 2011-09-21 15:31:57 +0200 (Mi, 21. Sep 2011) | 3 Zeilen

  • Combine firmware download into macro
  • load fimrware first

r7654 | cuma | 2011-09-21 16:26:15 +0200 (Mi, 21. Sep 2011) | 1 Zeile
embed skin selection like other options, by schlimmchen (closes #963)


r7655 | cuma | 2011-09-21 16:58:16 +0200 (Mi, 21. Sep 2011) | 1 Zeile
added link to "Could not download firmware image"


r7661 | cuma | 2011-09-22 00:20:30 +0200 (Do, 22. Sep 2011) | 1 Zeile
added another "Could not download firmware image" link


r7662 | cuma | 2011-09-22 13:44:39 +0200 (Do, 22. Sep 2011) | 2 Zeilen
telnetd: shortened "status" output, shown by webif
@er13: r7506 seems to work


comment:78 Geändert vor 6 Jahren durch cuma

Für #1364 & Duplikate :r7514, r7515, r7516, r7527, r7528, r7530, r7531, r7532, r7533, r7539, r7541, r7542, r7544, r7545, r7618, r7619, r7620, r7621, r7622, r7623, r7624, r7625, r7656

Beim manuellen Patchen konnte in r7619 dies nicht entfernt werden, weshalb weiss ich nicht ist eigentlich identisch..

config FREETZ_PATCH_FREETZMOUNT_FINDFS 
	bool "Provide mount-by-label feature" 
	depends on FREETZ_PATCH_FREETZMOUNT 
	select FREETZ_BUSYBOX_FINDFS
	default n 
	help 
		This option selects findfs which is required for the optional mount-by-label feature. 

Vielleicht klappts ja beim mergen autmatisch…


Dann noch

  • callmonitor-1.19.3 r7674
Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:79 Geändert vor 6 Jahren durch oliver

In [7737]:

uClibc: Add missing strverscmp export for 0.9.31 (refs #1520, #1396)

comment:80 Geändert vor 6 Jahren durch oliver

In [7887]:

[freetz-stable-1.2]: Merge in r7514:7516, r7527:7528, r7530:7533, r7539, r7541:7542, r7544:7545, r7618:7625, r7656, r7674 from trunk (refs #1396):


r7514 | oliver | 2011-08-23 21:46:03 +0200 (Di, 23. Aug 2011) | 2 Zeilen

  • libmodmount: Use blkid before fstyp because it detects more filesystems (hfs+)

r7515 | oliver | 2011-08-23 22:00:01 +0200 (Di, 23. Aug 2011) | 2 Zeilen

  • freetzmount : Add enhanced blkid und findfs support for busybox

r7516 | oliver | 2011-08-23 22:30:05 +0200 (Di, 23. Aug 2011) | 1 Zeile


r7527 | cuma | 2011-08-25 19:25:50 +0200 (Do, 25. Aug 2011) | 9 Zeilen
freetzmount:

  • added FREETZ_HAS_AVM_NTFS, FREETZ_AUTOMOUNT_NTFS needs this too
  • alphabetical order of filesystems
  • fix helptext
  • addes swap & fat options to freetzmount
  • select bb-applets depending on selected filesystems
  • removed fstyp, blkid is user first and selected by menuconfig
  • disable FREETZ_PACKAGE_E2FSPROGS_BLKID if FREETZ_BUSYBOX_BLKID

r7528 | cuma | 2011-08-25 19:56:06 +0200 (Do, 25. Aug 2011) | 1 Zeile
freetzmount: fix helptext (refs r7527), fstyp is used not any longer


r7530 | cuma | 2011-08-26 02:20:05 +0200 (Fr, 26. Aug 2011) | 2 Zeilen
freetzmount: fix path of blkid (for me it's /sbin/blkid)
refs #1473


r7531 | cuma | 2011-08-26 02:36:47 +0200 (Fr, 26. Aug 2011) | 3 Zeilen
freetzmount: (refs #1473)

  • fix blkid parsing
  • fix invalid $mnt_dev

r7532 | cuma | 2011-08-26 03:23:28 +0200 (Fr, 26. Aug 2011) | 4 Zeilen
freetzmount logging (refs #1473)

  • log to /var/log/mod_mount.log too
  • show detected filesystem on mounting
  • other small modifications related to logging output

r7533 | cuma | 2011-08-26 03:38:05 +0200 (Fr, 26. Aug 2011) | 1 Zeile
freetzmount: mount-by-label could optionally be selection (refs #1473)


r7539 | oliver | 2011-08-27 10:44:22 +0200 (Sa, 27. Aug 2011) | 2 Zeilen

  • busybox: Fix blkid/findfs patch (refs #1364)

r7541 | cuma | 2011-08-27 14:39:18 +0200 (Sa, 27. Aug 2011) | 2 Zeilen
freetzmount: (refs #1364)

  • blkid support for single partitions

r7542 | cuma | 2011-08-27 14:42:43 +0200 (Sa, 27. Aug 2011) | 2 Zeilen
freetzmount: (refs #1364)

  • fix ntfs error 15 message

r7544 | er13 | 2011-08-27 19:58:55 +0200 (Sa, 27. Aug 2011) | 3 Zeilen

  • spell check some messages
  • refs #1364

r7545 | er13 | 2011-08-27 20:17:44 +0200 (Sa, 27. Aug 2011) | 4 Zeilen
busybox (findfs patch):

  • remove unnecessary hunk
  • refs #1364

r7618 | cuma | 2011-09-14 23:40:16 +0200 (Mi, 14. Sep 2011) | 3 Zeilen
mounted.cgi:

  • removed DEBUG_PATH
  • use POSIX output of df

r7619 | cuma | 2011-09-15 00:29:13 +0200 (Do, 15. Sep 2011) | 5 Zeilen
freetzmount:

  • use blkid instead findfs for mount-by-label
  • dont't search for blkid, it's a busybox applet (refs #1364)

r7620 | cuma | 2011-09-15 13:10:56 +0200 (Do, 15. Sep 2011) | 1 Zeile
freetzmount: select blkid only if it is not yet in the firmware (refs #1364)


r7621 | cuma | 2011-09-15 13:50:50 +0200 (Do, 15. Sep 2011) | 4 Zeilen
freetzmount:

  • added luks detection, prevents red LED
  • fix swap messages, there is no nice_name

(refs #1364)


r7622 | cuma | 2011-09-15 13:59:16 +0200 (Do, 15. Sep 2011) | 1 Zeile
fix alphabetical order & some whitespaces (refs #1364)


r7623 | cuma | 2011-09-15 15:46:33 +0200 (Do, 15. Sep 2011) | 1 Zeile
freetzmount: ext4 detection (refs #1364)


r7624 | cuma | 2011-09-15 16:23:21 +0200 (Do, 15. Sep 2011) | 4 Zeilen
freetzmount:

  • load hfs.ko
  • add hfs to menuconfig

(refs #1364)


r7625 | cuma | 2011-09-15 17:35:02 +0200 (Do, 15. Sep 2011) | 5 Zeilen
freetzmount:

  • enable hfsplus detection (wtf?)
  • add hfs(plus) to libmodmount
  • fix typo from last commit

(refs #1364)


comment:81 Geändert vor 6 Jahren durch oliver

In [7888]:

[freetz-stable-1.2]: Merge in r7667:7669, r7677, r7681:7684, r7688, r7690, r7696, r7699, r7729, r7737, r7740:7741, r7750, r7753:7754, r7761, r7764, r7771, r7805, r7821, r7838, r7873 from trunk (refs #1396):


r7667 | oliver | 2011-09-24 14:26:22 +0200 (Sa, 24. Sep 2011) | 1 Zeile
rc.mod: Add space to pattern for external 7390 on nand (refs #1373)


r7668 | kriegaex | 2011-09-24 15:39:05 +0200 (Sa, 24. Sep 2011) | 7 Zeilen
New feature (upon request of olistudent): enable script to detect big as well
as little endian boot loaders and SquashFS images (kernel always has same
magic sequence, no changes there).

TODO: more thorough testing and removal of redundant code (copy & paste).
But I am in a hurry just now…


r7669 | kriegaex | 2011-09-24 23:16:46 +0200 (Sa, 24. Sep 2011) | 4 Zeilen
Refactoring:

  • add more info to usage message
  • move redundant code to parametrised helper functions

r7677 | oliver | 2011-09-26 22:21:37 +0200 (Mo, 26. Sep 2011) | 1 Zeile

  • busybox: Define download target only if version of busybox tools and busybox differs (refs #1520)

r7681 | er13 | 2011-09-26 23:43:09 +0200 (Mo, 26. Sep 2011) | 5 Zeilen
clean up download rules:

  • remove ifneq's that are always true (variables they compare are defined in files included later)
  • add missing ifneq's
  • refs r7677, r7679

r7682 | kriegaex | 2011-09-28 11:58:40 +0200 (Mi, 28. Sep 2011) | 2 Zeilen
Add another hex2dec function which can calculate big endian SquashFS lengths


r7683 | kriegaex | 2011-09-28 15:58:39 +0200 (Mi, 28. Sep 2011) | 9 Zeilen
Improved and refactored tools/extract-images:

  • Implausible boot loader candidates are now deleted silently, no longer kept and logged.
  • Hidden root plausibility heuristic now uses (more strictly) real kernel padding size of 256 bytes, no longer 1024.
  • Hidden root images are shorter now because SquashFS padding of 4096 bytes is no longer considered (only relevant on target system)
  • More comments and more explicit variable name 'file_length'

r7684 | kriegaex | 2011-09-28 16:02:35 +0200 (Mi, 28. Sep 2011) | 2 Zeilen
Cosmetics


r7688 | cuma | 2011-09-29 04:06:50 +0200 (Do, 29. Sep 2011) | 1 Zeile
enable FREETZ_REMOVE_UMTSD for 7270_V1


r7690 | cuma | 2011-09-29 20:07:03 +0200 (Do, 29. Sep 2011) | 1 Zeile
ctlmgr-wrapper: fix binary name in rc.dsl.sh (used during shutdown)


r7696 | buehmann | 2011-10-01 11:48:43 +0200 (Sa, 01. Okt 2011) | 2 Zeilen
callmonitor: Migration to SourceForge (BerliOS will be closed soon)


r7699 | cuma | 2011-10-01 13:06:58 +0200 (Sa, 01. Okt 2011) | 1 Zeile
callmonitor: shortcut for sourceforge url, thx dileks (refs r7696)


r7729 | cuma | 2011-10-04 01:46:36 +0200 (Di, 04. Okt 2011) | 1 Zeile
REMOVE_TR069: remove obsolete warning, thx spm_Draget (see http://freetz.org/browser/trunk/patches/260-remove_tr069.sh#L24 )


r7737 | oliver | 2011-10-06 07:32:14 +0200 (Do, 06. Okt 2011) | 1 Zeile
uClibc: Add missing strverscmp export for 0.9.31 (refs #1520, #1396)


r7740 | oliver | 2011-10-07 00:41:09 +0200 (Fr, 07. Okt 2011) | 2 Zeilen

  • kernel: Fix hanging swapon fat partition with 2.6.28 (7320, 7390)

r7741 | cuma | 2011-10-07 03:50:49 +0200 (Fr, 07. Okt 2011) | 1 Zeile
ctlmgt-wrapper: don't rename the binary, move it to another directory like before r6733 (revert r7690, refs #61)


r7750 | cuma | 2011-10-08 10:39:00 +0200 (Sa, 08. Okt 2011) | 1 Zeile
freetzmount: Don't log nicenames for every partition. If mounting was sucessfully it will be logged anyway


r7753 | oliver | 2011-10-08 18:04:55 +0200 (Sa, 08. Okt 2011) | 2 Zeilen

  • openvpn: Add page to show connected clients (by MaxMuster)

r7754 | cuma | 2011-10-08 18:21:30 +0200 (Sa, 08. Okt 2011) | 1 Zeile
openvpn's connected clients: small typos (refs #1551)


r7761 | cuma | 2011-10-09 05:47:09 +0200 (So, 09. Okt 2011) | 1 Zeile
nfsd-cgi: select replace kernel for 7270v1 (http://www.ip-phone-forum.de/showthread.php?t=240246)


r7764 | oliver | 2011-10-09 14:25:43 +0200 (So, 09. Okt 2011) | 1 Zeile

  • lzma2eva: Fix link failure with ubuntu 11.10 and other distros

r7771 | oliver | 2011-10-11 23:27:09 +0200 (Di, 11. Okt 2011) | 3 Zeilen

  • php: Fix static build with openssl plugin
    • steal ZEND_EXTRA_LIBS flag (unused)
    • reported by molfi

r7805 | kriegaex | 2011-10-16 14:25:28 +0200 (So, 16. Okt 2011) | 3 Zeilen
Bump Fakeroot to 1.18.1 due to non-availability of previous download
version 1.17. Closes #1563.


r7821 | cuma | 2011-10-17 16:40:34 +0200 (Mo, 17. Okt 2011) | 6 Zeilen
busybox's blkid (refs #1520)

  • readded a part of in r7733 deleted 915-blkid_support_fstype.patch
  • blkid does not show all partitions anymore if a specific could not be found
  • no additional parsing by freetzmount is needed

thx olistudent


r7838 | cuma | 2011-10-18 14:03:22 +0200 (Di, 18. Okt 2011) | 1 Zeile
freetzmount: use blkid for fuse-filesystems like ntfs (closes #661)


r7873 | oliver | 2011-10-20 07:12:18 +0200 (Do, 20. Okt 2011) | 2 Zeilen


comment:82 Geändert vor 6 Jahren durch ralf

Funktionen cgi_print_ und Samba share=user:

r7844 und r7851 sollte dafür vorerst reichen.

comment:83 Geändert vor 6 Jahren durch cuma

Zu dumm wenn es kein Ticket gibt in dem man die Changesets sammeln kann und dann keinen Überblick hat. r7852 sollte auch dazu

comment:84 Geändert vor 6 Jahren durch oliver

In [7889]:

[freetz-stable-1.2]: Fix busybox error caused by merging in r7821 which is not needed for busybox 1.18.5

comment:85 Geändert vor 6 Jahren durch oliver

In [7890]:

  • kernel: Don't fail on missing kernel dir for make clean *refs #1569, #1396
    • reported by otaku42

comment:86 Geändert vor 6 Jahren durch oliver

In [7891]:

[freetz-stable-1.2]: Merge in r7679 from trunk (refs #1396, #1570):


r7679 | oliver | 2011-09-26 22:35:01 +0200 (Mo, 26. Sep 2011) | 1 Zeile
busybox tools: Fix download target (refs #1520)


comment:87 Geändert vor 6 Jahren durch oliver

Mergen: r7892 (mit r7844, r7851, r7852)

comment:88 Geändert vor 6 Jahren durch oliver

In [7949]:

[freetz-stable-1.2]: Merge in r7844, r7851:7852, r7881:7883, r7890, r7892 from trunk (refs #1396):

r7892
Correct field name enabled (Samba); see #1571 and #1568


r7890

  • kernel: Don't fail on missing kernel dir for make clean *refs #1569, #1396 * reported by otaku42

r7883

  • use cgi_print_* functions (refs #1568)

r7882

  • More functions for cgi-scripts * cgi_print_textline, cgi_print_textline_p, cgi_print_textline_br: new functions (refs #1568)

r7881

  • functions for cgi-scripts * cgi_print_radiogroup: Additional parameter H2 * cgi_print_radiogroup_service_starttype, cgi_print_radiogroup_active: new functions * cgi_print_checkbox, cgi_print_checkbox_p, cgi_print_checkbox_br: new f…

r7852
samba: fix r7851 & whitespaces


r7851

  • Add support for samba security=user * use function cgi_print_radiogroup

r7844

  • Add function cgi_print_radiogroup to print a HTML radiogroup

comment:89 Antwort: Geändert vor 6 Jahren durch ralf

In [7960]:

comment:90 als Antwort auf: ↑ 89 Geändert vor 6 Jahren durch SaschaBr

Replying to ralf:

  • Fix creation of swap-file

Nur als Feedback: Durch das manuelle Ändern der form.sh klappt auch das "Swap-File erstellen" unter 1.2-Pre-Stable (Thread im Forum von gismotro ist ja leider zu).

comment:91 Geändert vor 6 Jahren durch oliver

Sorry, ich hatte am Wochenende was besseres zu tun und bin nicht zum Mergen gekommen…

comment:92 Geändert vor 6 Jahren durch oliver

In [8143]:

[freetz-stable-1.2]: Merge in r7960, r7961 from trunk (refs #1396):

r7961

  • Use mips nm for depmod

r7960


comment:93 Geändert vor 6 Jahren durch oliver

In [8232]:

[freetz-stable-1.2]: Merge in r8214 and 8220 from trunk (refs #1396):

  • Fix opendd get_ip patch

comment:94 Geändert vor 6 Jahren durch ralf

In [8248]:

comment:95 Geändert vor 6 Jahren durch oliver

In [8344]:

[freetz-stable-1.2]: Merge in r8248 from trunk (refs #1396):

  • unexport CONFIG_SITE

comment:96 Geändert vor 6 Jahren durch kriegaex

In [8461]:

For more than two years (since r3638) it has not been possible to run fwmod
outside of make without manually wrapping it in a fakeroot call (error
message could not create [...] device because you are not superuser). As of
today fwmod takes care of its own fakeroot environment, no matter if it
is called from the command line or by make.

Refs #1679 because it is a preparatory step to solve the issue.

Refs #1396 because I believe the change is pretty trivial and should make it
into Freetz 1.2, so we can get rid of the following task:

TODO update http://freetz.org/wiki/help/howtos/development/repack_fw

comment:97 Geändert vor 6 Jahren durch kriegaex

In [8462]:

Enhance r8461: save a subshell call when determining root user.
Refs #1679, #1396.

comment:98 Geändert vor 6 Jahren durch oliver

In [8503]:

[freetz-stable-1.2] * Prepare for release of freetz-1.2_rc1 (refs #1396)

comment:99 Geändert vor 6 Jahren durch oliver

In [8504]:

Tag Freetz-1.2_rc1 (refs #1396)

comment:100 Geändert vor 6 Jahren durch oliver

In [8505]:

[freetz-stable-1.2] * Bring branch back to stable state (refs #1396)

comment:101 Geändert vor 6 Jahren durch SaschaBr

Sollte man die Änderungen bezüglich "get_ip" und "replace onlinechanged" nicht auch noch in den Stable 1.2 integrieren (Patch von kriegaex: http://www.ip-phone-forum.de/showthread.php?t=231873&p=1790223&viewfull=1#post1790223 )?
Bei mir läuft das auf einer 7390 als IP-Client hinter einer 6360_cable ohne Auffälligkeiten.

comment:102 Geändert vor 6 Jahren durch oliver

In [8506]:

[freetz-stable-1.2]: Merge in r8461, r8462 from trunk (refs #1396):

  • fwmod takes care of its own fakeroot environment

comment:103 Geändert vor 6 Jahren durch oliver

@SaschaBr
Suchst du bitte die Changesets raus? Wenn es jetzt für alle Konstallationen funktioniert, dann spricht nichts gegen einen Merge.

comment:104 Geändert vor 6 Jahren durch SaschaBr

Puh, ich weiß nicht, welche da alle zu gehören. Ich habe nur den Patch von Alex aus dem Forum verwendet. Sorry.
@kriegaex: HÜÜÜÜÜLLLFFEE :)

comment:105 Antwort: Geändert vor 6 Jahren durch kriegaex

@oliver: Reicht auch ein Patch gegen den 1.2-Branch? Den hatte ich schon mal vorbereitet. Ich kann schauen, ob er aktuell ist. Wäre einfacher, als die vielen Changesets herauszusuchen.

Unter #1666 hatte mal WileC berichtet, daß 'init' den IP-Watchdog nicht startete. Das war, als er Ersatz für AVM-Onlinechanged suchte, weil des Probleme mit libctlmgr gab. Ich habe Grund zur Annahme, daß "Replace OC" auch deswegen nicht gestartet wurde. Manuell lief es nämlich. Ein Feedback, nach den Fixes in der Lib nochmal Replace OC zu testen, habe ich noch nicht erhalten (ganz nach unten blättern), obwohl es versprochen wurde. Also kann theoretisch noch etwas offen sein, das will ich nur der Hygiene halber mal erwähnen.

comment:106 als Antwort auf: ↑ 105 Geändert vor 6 Jahren durch cuma

Replying to kriegaex:

als er Ersatz für AVM-Onlinechanged suchte, weil des Probleme mit libctlmgr gab. Ich habe Grund zur Annahme, daß "Replace OC" auch deswegen nicht gestartet wurde.

Wie bereits im IRC geschrieben denk ich noch immer nicht dass libctlmgt darau Einfluss hatte. Welchen Grund meinst du denn?
Änderungen in letzter Minute sind immer so ne Sache, nachher fehlt doch was (es liegt kein Defekt vor)

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:107 Antwort: Geändert vor 6 Jahren durch kriegaex

@cuma: Wieso Du das denkst, hast Du aber nicht begründet. Getestet hast Du es auch nie. Letzten Endes helfen nur Tests, und dafür gibt es Release Candidates.

Egal, wenn Oliver das nicht will, lassen wir es weg. Es ist nur ein Angebot. Ich habe gerade den Patch auf den neuesten Stand gebracht bei mir lokal (ein Mini-update in Kommentarzeilen und cumas Sicherheitsabfrage auf -e /tmp/.modstarted, bevor hängende Onlinechanged-Prozesse gekillt werden.

Ich kann das einchecken, wenn SaschaBr verspricht, es zu testen (neu bauen, flashen, benutzen). Ich kann auch vorab den Patch gegen den aktuellen Branch posten, sucht es Euch aus. Sagt mir einfach, was ich tun soll, ich habe keine Lust auf die blöde Diskussion. Wenn es in 1.2 nicht gehen sollte, könnte es jedenfalls weder an der 7390 liegen (gibt es nicht in dem Branch) noch an libmultid oder libctlmgr (gibt es auch beide nicht in der aktuellen Form), dann wäre cuma ja fein raus.

Aber wie gesagt: Macht das unter Euch aus und sagt mir das Ergebnis.

comment:108 als Antwort auf: ↑ 107 Geändert vor 6 Jahren durch SaschaBr

Replying to kriegaex:

… wenn SaschaBr verspricht, es zu testen (neu bauen, flashen, benutzen). …

Klar werde ich es neu bauen, flashen, und soweit möglich auch testen. VERSPROCHEN!!! Ob nu als Patch gegen den 1.2-Branch, oder schon in 1.2_rc1 integriert ist mir persönlich wurscht, ich werde es wie versprochen testen.

Replying to cuma:

… Änderungen in letzter Minute sind immer so ne Sache …

Aus dieser Sichtweise (welche ich auch nachvollziehen kann) wäre natürlich ein Patch sinnvoller.

comment:109 Geändert vor 6 Jahren durch kriegaex

Weiter in #1686, um hier nicht das Ticket zu kapern.

comment:110 Geändert vor 6 Jahren durch kriegaex

In [8528]:

Merge in features from trunk (refs #1396, #1686):

  • patch "replace onlinechanged"
  • patch "disable console on serial port"
  • get_ip updates and improvements
  • stun-ip Busybox applet

comment:111 Geändert vor 6 Jahren durch kriegaex

In [8529]:

Add some more mergeinfo to r8528 (refs #1396)

comment:112 Antwort: Geändert vor 6 Jahren durch cuma

Hier fehlen mindestens noch 2 Changesets, wovon 1 (?) von mir war

comment:113 als Antwort auf: ↑ 112 Geändert vor 6 Jahren durch kriegaex

Replying to cuma:
Wie gesagt, das waren nicht nur zwei, sondern viiiele, vgl. Kommentar. Weiß der Teufel, was svn da geglaubt hat, machen zu müssen. Aber ich schlage mir nicht nochmal Stunden um die Ohren, um sie nochmal herauszusuchen, nachdem ich die Merge- und Patch-Arbeit jetzt schon zweimal gemacht habe und SVN die Merge Infos größtenteils weggeschmissen hat.

comment:114 Geändert vor 6 Jahren durch kriegaex

In [8603]:

Merge in dependency check from trunk and also get rid of realpath
dependency (no more manual package compilation for Fedora users). Refs #1396.

comment:116 Geändert vor 6 Jahren durch kriegaex

Lies die Kommentare!!!!!!! Sowohl hier als auch dort, wohin ich verweise, steht doch, daß viele fehlen, und wie es passiert ist. Motz mich nicht an, wenn Du zu faul zum Lesen bist. Immer das gleiche.

P.S.: Mach es doch einfach selbst. Ich hatte nicht vor, Changesets von Dir zu unterschlagen.

Zuletzt geändert vor 6 Jahren von kriegaex (vorher) (Diff)

comment:117 Geändert vor 6 Jahren durch cuma

Wenn dir schlecht ist geh zum Arzt. Davon abgesehen hattest du diese Datei gelöscht

Lies die Kommentare!!!!!!! Sowohl hier als auch dort,

Sorry, hab wohl anderso gelesen.

P.S.: Mach es doch einfach selbst. Ich hatte nicht vor, Changesets von Dir zu unterschlagen.

Ich hab VORHER schon geschrieben dass übereifrige Änderungen in letzte Minute nichts sind. Wenn man mergt dann bitte richtig. Oder es halt bleiben lassen. Da ich es 1) überflüssig fand und 2) dagegen war dies noch in 1.2 zu quetsch, durchsuche ich bestimmt nicht alle Changesets für dich. Ich nutze eh den Trunk

comment:118 Geändert vor 6 Jahren durch kriegaex

Erstens: Auch mit dieser einen Datei funktioniert alles, das haben ein Nutzer und ich unabhängig voneinander getestet. Als war da nichts schlampig, nichts in letzter Minute oder sonst etwas. Das Release ist immer noch nicht raus, und es gibt keinerlei Fehlermeldungen zu dem neuen Feature.

Zweitens: Ich habe Dich nicht aufgefordert, zig Changesets zu durchsuchen, sondern nur gesagt: Wenn Du schon seit zwei Wochen weißt, daß irgendetwas fehlt, und Dich das stört, auch wenn es eine Kleinigkeit ist, dann korrigier es doch entweder einfach selbst oder sprich wenigstens nicht einfach verschwommen von "es fehlen mindestens zwei Changesets", sondern schreib halt einfach dazu, welche, wenn es Dir schon zu viel Arbeit ist, sie selbst einzuchecken. Wobei ich jetzt nicht sicher bin, ob nicht beides ungefähr gleich lange dauern würde.

comment:119 Geändert vor 6 Jahren durch cuma

Die meiste Arbeit besteht darin das zu überprüfen was vergessen wurde. An die 2 erinnerte ich mich, es sind bestimmt noch mehr

comment:120 Geändert vor 6 Jahren durch kriegaex

Da der Stand der Dateien, um die es hier geht, korrespondiert mit dem Trunk, kann es nicht "viele" geben, die tatsächlich fehlen. Das siehst Du mit einem Diff. Was verloren gegangen ist, sind lediglich die *Markierungen* der Changesets für die SVN Merge History, wie ich ja ausführlich erklärt hatte. Das hat aber nichts damit zu tun, daß die Inhalte der Dateien einander entsprechen.

Edit: Jetzt, wo ich es erwähne, fällt mir ein, woran es liegen könnte, daß SVN nicht alle lokal angezeigten Merge Infos beim konsolidierten Einchecken auch registriert hat: daran, daß letztlich Trunk und Branch quasi identisch sind. Vielleicht hat SVN das irgendwie "weg konsolidiert" in einen großen Merge. Ist aber reine Spekulation. Fakt ist: es geht, es gibt keinerlei Probleme, und die eine überflüssige Datei 00-get_ip kann von mir aus gern weg. Sie richtet aber keinen Schaden an, sie ist nur überflüssig.

Zuletzt geändert vor 6 Jahren von kriegaex (vorher) (Diff)

comment:121 Geändert vor 6 Jahren durch kriegaex

In [8606]:

Sync with trunk: remove one more forgotten file not needed anymore because
--extquery was removed from get_ip ; refs #1396

comment:122 Geändert vor 6 Jahren durch cuma

Was verloren gegangen ist, sind lediglich die Markierungen der Changesets für die SVN

Ich weiss nicht was du ständig mit deinen Markierungen willst. Es wurden Changesets vergessen, was ich einfach nachgeprüft hab indem ich nach dem Dateiinhalt geschaut hab. Und nochmal: Diese Datei machte keine Probleme, aber es zeigt dass nicht alles nach 1.2 gemergt wurde!

comment:123 Geändert vor 6 Jahren durch kriegaex

Also, ganz langsam zum Mitschreiben: Worüber Oliver und Du Euch beschwert habt, sind zwei grundverschiedene Dinge:

  • Oliver und ich sprachen über fehlende Mergeinfos (einfach mal googlen). Das sind Metadaten von SVN, die beschreiben, welche Changesets von wo nach wo gemerget wurden.
  • Du sprichst über fehlende Changesets, also über inhaltliche Unterschiede zwischen Revisionen bzw. in diesem Fall zwischen Entwicklungszweigen (Branches).

Das Mißverständnis rührte daher, daß ich vor zwei Wochen Deinen Kommentar als Antwort auf r8529 (Commit, bei dem es um Mergeinfos ging) so aufgefaßt hatte, daß weitere Mergeinfos fehlen würden (obwohl Du von Changesets gesprochen hast). Daß dem so ist, hatte ich aber bereits vorher mit Oliver diskutiert und erklärt, wie es passiert war. Wir hatten also unterschiedlichen Kontext. Das klärte sich deswegen nicht auf, weil Du erst heute, als Antwort auf meinen Kommentar, als Beispiel einen Link zu der Datei gepostet hast, die ich vergessen hatte zu löschen. Hättest Du das vor zwei Wochen bereits getan, wäre das Mißverständnis vermutlich gar nicht erst aufgekommen. Also kam ich erst mit Verspätung dahinter, was überhaupt gemeint war.

Verstanden soweit? Ich hoffe, wir sind jetzt im gleichen Kontext. Und falls Du noch einen Changeset im Trunk findest, der unbedingt in diesen Branch sollte, sag mir einfach Bescheid oder merge ihn selbst. Ich halte es aber für unwahrscheinlich, daß hier noch etwas fehlt oder zu viel ist. Ansonsten tun wir einfach das, was Entwickler halt so tun, wenn sie etwas übersehen haben: nachbessern statt jammern.

Zuletzt geändert vor 6 Jahren von kriegaex (vorher) (Diff)

comment:124 Geändert vor 6 Jahren durch cuma

Ich hatte die Datei absichtlich nicht genannt, damit du drüberschaust und evtl dann noch andere findest ;-) (Und ja, ich hab nichts zu Markierungen oder Mergeinfos usw geschrieben, sondern Changesets)

Zuletzt geändert vor 6 Jahren von cuma (vorher) (Diff)

comment:125 Geändert vor 6 Jahren durch cuma

In [8609]:

aiccu:

comment:126 Geändert vor 5 Jahren durch oliver

In [8717]:

[freetz-stable-1.2]: Merge in r8609 from trunk (refs #1396):
r8609 | cuma | 2012-02-10 23:43:52 MEZ

aiccu:


comment:127 Geändert vor 5 Jahren durch oliver

In [8821]:

[freetz-stable-1.2] Prepare for release of Freetz-1.2_rc2 (refs #1396)

comment:128 Geändert vor 5 Jahren durch oliver

In [8822]:

[freetz-stable-1.2] Tag Freetz-1.2_rc2 (refs #1396)

comment:129 Geändert vor 5 Jahren durch cuma

  • Typ von defect nach task geändert
  • Zusammenfassung von TODO für Release nach TODO für Release 1.2 geändert

comment:130 Geändert vor 5 Jahren durch oliver

In 9174:

Merge in r9173 from trunk (refs #1396):


r9173 | oliver | 2012-06-17 12:48:55 +0200 (So, 17. Jun 2012) | 2 Zeilen

mklibs: Use python2 (even if python3 is available)


comment:131 Geändert vor 5 Jahren durch oliver

In 9201:

Prepare for release of Freetz-1.2 (refs #1396)

comment:132 Geändert vor 5 Jahren durch oliver

  • Lösung auf fixed gesetzt
  • Status von new nach closed geändert
  • Verantwortlicher auf oliver gesetzt

In 9202:

Tag Freetz-1.2 (closes #1396)

comment:133 Geändert vor 5 Jahren durch oliver

In 9203:

Bring branch back to stable state after tagging Freetz-1.2 (refs #1396)

comment:134 Geändert vor 4 Jahren durch cuma

In 11659:

[freetz-1.2] (refs #1396)
[freetz-2.0] (refs #2072)

disable remote https access for vulnerable firmware at system boot.

  • If you don't like it, create file /tmp/flash/mod/dont_touch_https

(refs #2355)

comment:135 Geändert vor 4 Jahren durch cuma

In 11660:

[freetz-1.2] fix umlaut (refs #1396)

Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.